Subject: PWG-ANNOUNCE> PWG Standard Imaging System Events draft (22 May 2004)

From: "McDonald, Ira" <[email-masked]>
Date: Sat, 22 May 2004 13:32:29 -0700

Hi folks,                                         Saturday (22 May 2004)

[For review during SM Wednesday 26 May at the PWG in Vancouver.]

I've written an initial draft of PWG Standard Imaging System Events and
posted it at:

    ftp://ftp.pwg.org/pub/pwg/wims/wd/wd-wimsevents10-20040522.htm

[For review during WIMS Monday 24 May at the PWG in Vancouver.]

Therefore, I've written a revised Events XML Schema v0.20, which
validates without warnings using XML SPY 2004, XRay 2.0, and XSV 2.5
(the free XML Schema Validator) and is posted at:

    ftp://ftp.pwg.org/pub/pwg/wbmm/schemas/events-20040522.xsd

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

------------------------------------------------------------------------
[change log]

(1) Renamed Component events to Subunit events in both documents
    (for consistency with existing Printer MIB model terminology).

(2) Added Resource object events to both documents
    (for support of WIMS applications).

(3) Added NotifyEventType (single-valued) to Events XML Schema
    (for support of Schedule XML schema).

------------------------------------------------------------------------